Module jdk.attach
Package com.sun.tools.attach

# Class AttachOperationFailedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
com.sun.tools.attach.AttachOperationFailedException

All Implemented Interfaces:
  `Serializable`

    public class AttachOperationFailedException
    extends IOException

Exception type to signal that an attach operation failed in the target VM.

This exception can be thrown by the various operations of `VirtualMachine` when the operation fails in the target VM. If there is a communication error, a regular IOException will be thrown.

Since:
  9
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AttachOperationFailedException​(String message)` | Constructs an `AttachOperationFailedException` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AttachOperationFailedException

public AttachOperationFailedException​(String message)
Constructs an `AttachOperationFailedException` with the specified detail message.

Parameters:
  `message` - the detail message.